# yaml-language-server: $schema=https://promptfoo.dev/config-schema.json
description: Gemini image generation with search grounding

prompts:
  - 'Create a travel poster for {{city}} using real landmarks and current points of interest'

providers:
  - id: google:gemini-3.1-flash-image-preview
    config:
      imageAspectRatio: '16:9'
      imageSize: '1K'
      tools:
        - googleSearch: {}

defaultTest:
  assert:
    - type: javascript
      value: output.length > 0 && (output.startsWith('data:image/') || output.startsWith('promptfoo://blob/'))

tests:
  - vars:
      city: 'Tokyo'
  - vars:
      city: 'Paris'
